@charset "utf-8";
/*------------------------------------------------------------------
[Momentum Library Responsive Stylesheet]

Project: Momentum Website
Version: 1.1.01
Last change: 16 July 2024  
-------------------------------------------------------------------*/

/*------------------------------------------------------------------
[Table of contents]
1. Max-Width: 1560px
2. Max-Width: 1320px
    2.1. Navigation
3. Max-Width: 1180px
    3.1. Navigation
4. Max-Width: 640px

/* ==============================
Max-Width: 1560px
============================== */
@media only screen and (max-width: 1560px) {
    .content-container{

        & .media-col-2{
            flex-direction: column;
            gap: 2rem;
        }

        & .introduction {
            padding: 0 8rem;
        }
    }

    /* Calculator Area */
    .calculator-area{

        & .content-wrapper{

            & .results{
                max-width: 20rem;
                transform: translateY(0%);

                & p{
                    color: var(--gray-800);
                    font-size: 1.25rem;
                    font-weight: var(--medium);
                    line-height: var(--lh-equal);
                    border-bottom: 1px solid var(--gray-200);
                    padding: .5rem 0 1rem;
                }

                & p:last-child{
                    color: var(--gray-800);
                    font-size: 1.5rem;
                    font-weight: var(--bold);
                    border-bottom: none;
                }
            }
        }
    }

    /* Footnote */
    .footnote{
        padding: 2rem 5rem;
    }
}
    

/* ==============================
Max-Width: 1320px
============================== */
@media only screen and (max-width: 1320px) {
    
    /* Navigation */
    .nav-container{
        margin: 1rem 2rem 0 2rem;

        & .inner-nav{
            gap: 2rem;
        }
    }

    /* Header 2rd Level */
    .container-header-2rd-level{
        padding: 40vh 5rem 5rem 5rem;
    }

    /* Header 3rd Level */
    .container-header-3rd-level, .container-header-3rd-level-v2{
        padding: 35vh 5rem 5rem 5rem;
    }

    /* Header 4th Level */
    .container-header-4th-level{
        padding: 20vh 5rem 2rem 5rem;

        & h1{
            font-size: 4rem;
        }
    }

    /* Empty State */
    .empty-state{
        gap: 6rem;
    }

    /* Content Container */
    .content-container{
        padding: 5rem;

        & .media-col-2{
    
            & .media-col-2-left{
                flex-basis: 30%;
            }
    
            & .media-col-2-right{
                flex-basis: 70%;
                gap: 1em;
                justify-content: center;
                align-items: center;
                gap: 2rem;
    
                & .media-col-2-right-container{
                    display: flex;
                    flex-direction: column;
                    gap: 1rem;
    
                    & .download-link{
                        font-size: 1rem;
                        background-color: var(--gray-100);
                        padding: .5rem 1rem;
                        border-radius: var(--br-small);
                        font-weight: var(--bold);
                        color: var(--gray-800);
                        text-decoration: none;
                        transition: var(--transall-300-easy);
                    }
    
                    & .download-link:hover{
                        color: var(--lavender-600);
                        background-color: var(--gray-200);
                    }

                    & p{
                        margin-top: 1.5rem;
                        font-size: 1.2rem;
                    }
                }
            }
        }

        & .img-container{
            margin: 0 8rem 3rem 8rem;
        }

        & .text-container{
            margin: 0 8rem;
    
            & .quote-container{
                margin: 3rem 3rem 1.5rem;
            }
            
            & .text-container{
                display: flex;
                flex-direction: column;
                gap: 1rem;
                margin: 0 16rem;

        & h3{
            font-size: 2rem;
            line-height: var(--lh-equal);
            font-weight: var(--bold);
            color: var(--gray-900);
            margin-top: 1.5rem;
        }

        & p{
            font-size: 1.75rem;
            line-height: var(--lh-slight);
            font-weight: var(--regular);
            color: var(--gray-700);
        }

        & span{
            font-weight: var(--medium);
            color: var(--lavender-900);
            padding-right: 0.5rem;
        }

        & .quote-container{
            margin: 4rem 6rem 2rem;

            & .quote-icon{
                position: absolute;
                z-index: 1;
                margin-left: -2.5rem;
                margin-top: -1.5rem;
                opacity: 0.3;
            }

            & quote{
                font-size: 1.75rem;
                line-height: var(--lh-slight);
                font-weight: var(--bold);
                color: var(--lavender-900);
                z-index: 2;
                position: relative;
            }

            & .quote-details{
                display: flex;
                flex-direction: row;
                gap: 1.5rem;
                margin-top: 2rem;
                align-items: center;

                & img{
                    width: 6rem;
                    height: 6rem;
                }

                & .quote-details-name{
                    display: flex;
                    flex-direction: column;
                    gap: .5rem;

                    & h5{
                        font-size: 1.5rem;
                        line-height: var(--lh-equal);
                        font-weight: var(--regular);
                        color: var(--gray-900);
                    }

                    & h6{
                        font-size: 0.75rem;
                        line-height: var(--lh-equal);
                        font-weight: var(--bold);
                        color: var(--gray-800);
                        text-transform: uppercase;
                        letter-spacing: var(--ls-slightly);
                    }
                }
            }
        }

        & .follow-up-info{
            display: flex;
            flex-direction: column;
            gap: 1rem;
            margin-top: 1rem;

            & p{
                font-size: 1.25rem;
                line-height: var(--lh-equal);
                font-weight: var(--medium);
                color: var(--gray-900);
            }

            & .follow-detail{
                display: flex;
                flex-direction: column;
                gap: .25rem;

                & a{
                    color: var(--lavender-900);
                    font-size: 1.25rem;
                    font-weight: var(--medium);
                }
            }
        }
    }
    }
    }

    /* Contact Wrapper */
    .contact-wrapper{
        gap: 1rem;
    }

    /* Contact Card */
    .contact-card{

        & .inner-wrapper{
            padding: 1.5rem;
        }

        & h2{
            font-size: 1.75rem;
        }

        & a{
            font-size: 1.25rem;
            margin-top: 1.5rem;
        }

        & svg{
            margin-top: .5rem;
        }

        & p{
            font-size: 1.25rem;
            margin-top: 1.5rem;
        }
    }

    .content-col-2{
        gap: 2rem;

        & .content-col-left{
    
            & h2{
                font-size: 2.5rem;
            }
        }
    }

    /* FAQ */
    .accordeon-wrapper {
        margin: 0 8%;
    }

    /* Text Image Container */
    .text-image-container{
        gap: 4rem;
        padding: 2rem;

        & p{
            font-size: 1.5rem;
            line-height: var(--lh-slightly);
        }
    }

    .black-container{
        gap: 4rem;
        padding: 4rem 3rem;
        border-radius: var(--br-medium);
        align-items: center;
        justify-content: center;
        background-image: url("../images/momentum-pattern-gray-900-01.jpg");
        background-color: var(--gray-100);
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        color: var(--white);
        margin-top: 3rem;
    }

    /* Free of Charge Container */
    .free-of-charge-container{
        padding: 3rem 4rem;
        margin: 0 4rem;
        gap: 2rem;

        & .headlines{
            gap: .5rem;
        }

        & .facts-container{
            padding: 0;

            & .facts-card{
                
                & h3{
                    padding-left: 1rem;
                }
            }
        }

        & .sign-up-box{
            gap: 2rem;
            padding: 2rem 2rem;
            margin: 1rem 3rem 0 3rem;

            & .content{
                gap: 1rem;
            }
        }
    }

    /* Footnote */
    .footnote{
        padding: 2rem;
    }
}

/* ==============================
Max-Width: 1180px
============================== */
@media only screen and (max-width: 1180px) {
    
    /* Navigation */
    .nav-container{
        display: none;
    }

    .nav-container-mobile{
        display: flex;
        flex-direction: column;
        gap: 2rem;
        flex-wrap: nowrap;
        justify-content: space-between;
        align-items: center;
        position: fixed;
        width: var(--w-available);
        box-sizing: border-box;
        border-radius: var(--br-medium);
        margin: .5rem;
        padding: 1rem 1.5rem;
        background-color: rgba(255, 255, 255, 0.9);
        backdrop-filter: blur(.9rem);
        z-index: 999;
        visibility: visible;
        max-height: inherit; 

        & .inner-nav-mobile-wrapper{
            display: flex;
            flex-direction: row;
            gap: 1rem;
            justify-content: space-between;
            align-items: center;
            width: var(--w-available);
        }

        & .inner-nav-mobile-header{
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            gap: .75rem;
            transition: var(--transall-300-easy);

            & svg{
                fill: var(--gray-900);
                transition: var(--transall-300-easy);
            }

            & span{
                font-weight: var(--bold);
            }
        }

        & .inner-nav-mobile-header:hover, .inner-nav-mobile-header:focus, .inner-nav-mobile-header:active{
            color: var(--lavender-900);
            cursor: pointer;

            & svg{
                fill: var(--lavender-900);
            }
        }

        & .inner-nav-mobile-content{
            display: flex;
            flex-direction: column;
            gap: .25rem;
            width: var(--w-available);
        
            & p{
                font-size: 1.75rem;
                line-height: var(--lh-equal);
                font-weight: var(--bold);
                margin-right: 1.5rem;
            }

            & a{
                font-size: 1.75rem;
                line-height: var(--lh-equal);
                font-weight: var(--medium);
                margin-right: 1.5rem;
                color: var(--lavender-900);
                text-decoration: none;
                margin-bottom: .5rem;
            }

            & .nav-block{
                display: flex;
                flex-wrap: wrap;
                gap: .5rem;
                flex-direction: row;
                align-items: baseline;
                border-bottom: 1px solid var(--gray-300);
                padding: .5rem 0;

                & .stand-alone{
                    margin-left: 0;
                    font-weight: var(--bold);
                }
            }
        }
    }
    #inner-nav-mobile-content{
        height: 0vh;
        overflow: hidden;
        transition: all 1s ease;
        margin: -17px 0;
    }
    
    .show{
        height: 100vh !important;
        overflow: auto !important;
        margin: 0 0 2rem 0 !important;
    }

    /* Footer */
    footer{
        padding: 2rem 2rem 0 2rem;

        & #footer-logo{
            margin-bottom: 2rem;
        }

        & .mirror-nav{
            flex-direction: row;
            flex-wrap: wrap;
            gap: .5rem;
        }

        & .mirror-nav-container{
            display: flex;
            gap: 1rem;
        }
    }
    
    /* Header 2rd Level */
    .container-header-2rd-level{
        padding: 25vh 2rem 2rem 2rem;
    }

    /* Header 3rd Level */
    .container-header-3rd-level, .container-header-3rd-level-v2{
        padding: 20vh 2rem 2rem 2rem;
    }

    /* Header 4th Level */
    .container-header-4th-level{
        padding: 16vh 2rem 2rem 2rem;

        & h1{
            font-size: 3rem;
        }

        & h4{
            font-size: 1.5rem;
        }
    }

    /* Content-Container */
    .content-container{
        padding: 2rem;

        & .media-col-2{
            flex-direction: column;
            gap: 2rem;

            & .media-col-2-left{
                flex-basis: 100%;
            }

            & .media-col-2-right{
                flex-direction: column;
                flex-basis: 100%;
                width: 100%;

                & .media-col-2-right-container{
                    width: 100%;
                }
            }
        }

        & .img-container{
            margin: 0 8rem 2rem 8rem;
            text-align: center;
        }

        & .newspage-wrapper{

            & .news-row{
    
                & a{
                    width: 50%;
                }
            }
        }

        & .introduction {
            gap: 1rem;
            padding: 1rem 0;
    
            & h2{
                font-size: 2rem;
            }
    
            & p{
                font-size: 1.5rem;
                line-height: var(--lh-slight);
            }
        }
    }

    .content-col-law-2{
        flex-direction: column;
        gap: 1rem;
        align-items: left;
        padding: 2rem;
    
        & .content-col-left{
    
            & svg{
                width: 60%;
                height: auto;
            }
        }
    
        & .content-col-right{
            gap: 1rem;
    
            & h2{
                font-size: 2.25rem;
            }
    
            & p{
                font-size: 1.5rem;
            }
        }
    }

    /* Contact Wrapper */
    .contact-wrapper{
        flex-direction: column;
        gap: 1rem;
    }

    /* Contact Card */
    .contact-card{
        flex-direction: row;
        align-items: center;
        justify-content: center;

        & a{
            font-size: 2rem;
        }

        & svg{
            width: auto;
            height: 100%;
        }

        & p{
            font-size: 2rem;
            margin-top: 1rem;
        }
    }

    /* Icon Text Box */
    .iconTextBox{
        flex-direction: column;
        padding: 1.5rem;
        gap: 2rem;
    
        & .iconTextBox-Content{
            gap: 1rem;
            text-align: center;
            flex-basis: 100%;
        }
    }

    /* Press Container */
    .press-container{
        flex-direction: column;
        gap: 1.5rem;
        padding: 2rem;

        & .press-container-Content{
            gap: 1.5rem;
            align-items: center;

            & .press-container-wrapper{
                align-items: center;
            }
        }

        & .press-container-header{
            align-items: center;
        }
    }

    .content-col-2{
        flex-direction: column;
        gap: 2rem;
        margin-bottom: 4rem;
        
        & .content-col-left{
            flex-basis: 50%;
        }

        & .content-col-right{
            flex-basis: 50%;
        }
    }

    .founder-wrapper{

        & .founder-sorting{
            gap: 4rem;
        }

        & img{
            width: 80%;
            text-align: center;
        }
    }

    /* Related Content */
    .related-wrapper{
        flex-direction: column;
        align-items: flex-start;
        gap: 2rem;
        padding: 1rem 0;

        & h2{
            font-size: 2.25rem;
        }

        & .cards-wrapper{
            flex-direction: column;
        }
    }

    /* Text Image Container */
    .text-image-container{
        display: flex;
        flex-direction: column;
        gap: 2rem;
        padding: 2rem;

        & p{
            color: var(--gray-800);
            font-size: 1.5rem;
            line-height: var(--lh-slight);
            width: 100%;
            text-align: center;
        }

        & svg{
            width: 60%;
        }
    }

    /* Black Container */
    .black-container{
        gap: 3rem;
        padding: 3rem 3rem;
        margin-top: 0;

        & h2{
            font-size: 2rem;
        }

        & .text-image-container-inner{
            flex-direction: column;
            gap: 3rem;

            & .text-wrapper{
                width: 100%;
                text-align: center;

                & h3{
                    font-size: 1.5rem;
                }

                & p{
                    font-size: 1.25rem;
                }
            }

            & svg{
                width: 60%;
                height: auto;
            }
        }
        
        & .container-reverse{
            flex-direction: column-reverse;
        }
    }

    /* Related Components Container */
    .related-components-container{
        gap: 2rem;
        align-items: center;
        justify-content: center;
        margin-top: 0;

        & h2{
            font-size: 2rem;
        }

        & .related-wrapper{
            flex-direction: column;
            gap: 1rem;

            & .related-component{
                display: flex;
                flex-direction: column;
                gap: 2rem;

                & h5{
                    padding: 1.5rem 1.5rem 0 1.5rem;
                }

                & h3{
                    color: var(--gray-900);
                    font-size: 1.75rem;
                    font-weight: var(--bold);
                    line-height: var(--lh-equal);
                    padding: 0 1.5rem;
                }

                & .inner-text{
                    display: flex;
                    flex-direction: column;
                    gap: 1rem;
                    width: 100%;
                }

                & svg{
                    opacity: 0.9;
                    width: 100%;
                    height: auto;
                }
            }
        }
    }

    /* Free of Charge Container */
    .free-of-charge-container{
        padding: 2rem;
        margin: 0 2rem;
        gap: 2rem;

        & .headlines{
            gap: .5rem;

            & h2{
                font-size: 2rem;
            }

            & p{
                font-size: 1.25rem;
            }
        }

        & .facts-container{
            gap: 1rem;
            padding: 0;

            & .facts-row{
                flex-direction: column;
            }

            & .facts-card{
                flex-direction: row;
                align-items: center;
                width: var(--w-full);
                
                & h3{
                    font-size: 1.25rem;
                }
            }
        }

        & .sign-up-box{
            flex-direction: column;
            gap: 2rem;
            padding: 2rem;
            margin: 0 2rem 0 2rem;

            & .content{
                gap: 1rem;
                text-align: center;

                & h4{
                    font-size: 1.5rem;
                    line-height: var(--lh-slightly);
                }

                & p{
                    font-size: 1.25rem;
                }
            }
        }
    }

    /* Payed Components Container */
    .payed-components{ 
        flex-direction: column;
        margin-top: 0;

        & .payed-box{
            padding: 2rem 2rem 4rem 2rem;
            width: auto;

            & h4{
                font-size: 1.75rem;
            }

            & p{
                font-size: 1.25rem;
            }

            & ul{     
                margin-top: .5rem;
            }
        }
    }

    /* Calculator Area */
    .calculator-area{
        margin-bottom: 3rem;

        & .headline{
            gap: .5rem;

            & h3{
                font-size: 1.5rem;
            }

            & p{
                font-size: 1.25rem;
            }
        }

        & .content-wrapper{
            flex-direction: column;
            gap: 3rem;
            margin-top: 0;

            & .content{

                & .slider{

                    & .group-input{
                        
                        & label{
                            font-size: 1rem;
                        }
                    }

                    & .form-group input[type="number"]{
                        font-size: .8125rem;

                    }

                    & .sliderbar::-webkit-slider-thumb {
                        width: 1.5rem;
                        height: 1.5rem;
                    }
                    
                    .slider::-moz-range-thumb {
                        width: 1.5rem;
                        height: 1.5rem;
                    }
                }
            }

            & .results{
                width: var(--w-full);
                transform: translateY(0);
                text-align: center;
                max-width: none;
            }
        }
    }

}

/* ==============================
Max-Width: 640px
============================== */
@media only screen and (max-width: 640px) {
    /* Navigation */
    .nav-container-mobile{

        & .inner-nav-mobile-content{
            gap: .25rem;

            & p{
                font-size: 1.125rem;
                margin-right: .5rem;
            }

            & a{
                font-size: 1.125rem;
                margin-right: .5rem;
                margin-bottom: 0;
                line-height: var(--lh-equal);
            }

            & .nav-block{
                gap: .75rem;
                padding: .25rem 0;
            }
        }
    }

    /* Footer */
    footer{
        padding: 2rem 1.5rem 0 1.5rem;

        & #footer-logo{
            margin-bottom: 2rem;
        }

        & .mirror-nav{
            flex-direction: column;
            gap: 1.5rem;
        }

        & .mirror-nav-container{
            text-align: center;

            & .mirror-nav-container-list{
                flex-direction: row;
                gap: 1rem;
                flex-wrap: wrap;
                justify-content: center;
            }
        }

        & .contact-container{
            flex-direction: column;
            gap: 1.5rem;
            padding-bottom: 1.5rem;

            & .flex-end{
                align-items: center;
            }
        }

        & .end-credits{
            flex-direction: row;
            flex-wrap: wrap;
            margin-bottom: 1.5rem;


            & .utility{
                gap: 1.5rem;
            }
        }
    }

    /* Content-Container */
    .content-container{
        padding: 1.5rem;

        & .img-container{
            margin: 0 0 1rem 0;
            text-align: center;
        }

        & .text-container{
            gap: .5rem;
            margin: 0;
    
            & h3{
                font-size: 1.75rem;
            }
    
            & p{
                font-size: 1.5rem;
            }
    
            & .quote-container{
                margin: 3rem 2rem 2rem;
    
                & .quote-icon{
                    margin-left: -2rem;
                    margin-top: -1rem;
                    opacity: 0.3;
                }
    
                & quote{
                    font-size: 1.5rem;
                }
            }
    
            & .follow-up-info{
    
                & p{
                    font-size: 1rem;
                    line-height: var(--lh-slightly);
                }
    
                & .follow-detail{
                    gap: .125rem;
    
                    & a{
                        font-size: 1rem;
                    }
                }
            }
        }

        & .newspage-wrapper{
    
            & .news-row{
                flex-direction: column;
                gap: 1rem;
    
                & a{
                    width: 100%;
                }
            
                & .news-card{
                    padding: 1.5rem;
                    gap: 2rem;
    
                    & .category{
                        
                        & h5{
                            padding: .5rem 1rem;
                        }
                    }
    
                    & .content{
    
                        & p{
                            font-size: 1.125rem;
                        }
    
                        & h2{
                            font-size: 1.5rem;
                        }
                    }
                }
            }
        }

        & .introduction {
    
            & h2{
                font-size: 1.75rem;
            }
    
            & p{
                font-size: 1.25rem;
            }
        }
    }

    .col-2{
        flex-direction: column;
        gap: 2rem;
    }

    .col-oneThird, .col-twoThird{
        flex-basis: 100%;
        flex-direction: column;
        width: 100%;
    }

    .f-col-1{
        width: 100%;
    }

    .f-col-2{
        display: flex;
        flex-direction: column;
        gap: 1rem;
        width: 100%;
    }

    .f-col-2 {

        & p{
            font-size: 1.2rem;
        }
    }

    /* Header 2rd Level */
    .container-header-2rd-level{
        padding: 28vh 1.5rem 1.5rem 1.5rem;

        & h1{
            font-size: 3.5rem;
        }
    
        & p{
            font-size: 1.25rem;
        }
    }

    /* Header 3rd Level */
    .container-header-3rd-level, .container-header-3rd-level-v2{
        padding: 24vh 1.5rem 1.5rem 1.5rem;

        & h1{
            font-size: 3.5rem;
        }
    
        & p{
            font-size: 1.25rem;
        }
    }

    /* Header 4th Level */
    .container-header-4th-level{
        padding: 16vh 1.5rem 1.5rem 1.5rem;

        & h1{
            font-size: 2.5rem;
        }
    
        & h4{
            font-size: 1.25rem;
        }
    }

    /* Icon Text Box */
    .iconTextBox{
        gap: 1.5rem;
    
        & .iconTextBox-Content{
            gap: .5rem;
        }
    }

    /* Contact Wrapper */
    .contact-wrapper{
        gap: 2rem;
    }

    /* Contact Card */
    .contact-card{

        & a{
            font-size: 1.5rem;
        }

        & p{
            font-size: 1.5rem;
        }

        & svg{
            display: none;
        }
    }

    .content-col-2{
    
        & .content-col-left{
    
            & h2{
                font-size: 2rem;
            }
        }
    }
    
    .founder-wrapper{
        gap: 5rem;
    
        & .founder-sorting{
            display: flex;
            flex-direction: column;
            gap: 2rem;
            text-align: center;

            & .founder-img{
                text-align: center;
            }
    
            & h4{
                margin-bottom: 1rem;
            }
        }
    }

    /* FAQ */
    .accordeon-wrapper {
        margin: 0 4%;
        gap: 1rem;
    }

    .accordeon-container{

        & h2{
            font-size: 1.125rem;
            padding: 1rem 1.5rem;
        }
    }

    .accordeon-header{

        & svg{
            height: 2rem;
            width: 2rem;
        }
    }

    /* Accorden Category */
    .accordeon-category{
        margin: 1rem auto;

        & h2{
            font-size: 2rem;
        }
    }

    .content-col-law-2{
    
        & .content-col-right{

            & p{
                font-size: 1.25rem;
            }
        }
    }

    /* Free of Charge Container */
    .free-of-charge-container{

        & .headlines{
            gap: .5rem;

            & h2{
                font-size: 1.75rem;
            }

            & p{
                font-size: 1.25rem;
            }
        }

        & .sign-up-box{
            gap: 2rem;
            padding: 2rem;
            margin: 0;

            & .content{
                gap: 1rem;
                text-align: center;

                & h4{
                    font-size: 1.5rem;
                    line-height: var(--lh-slightly);
                }

                & p{
                    font-size: 1.25rem;
                }
            }
        }
    }
}